---
title: "Send fax"
url: "https://docs.signnow.com/docs/document/operations/post-v2-faxes-send"
type: "endpoint"
section: "document"
slug: "document/operations/post-v2-faxes-send"
method: "POST"
path: "/v2/faxes/send"
operation_id: "post-v2-faxes-send"
authorization: "bearer"
---

# Send fax

`POST /v2/faxes/send`

This endpoint allows users to send one or several documents by fax.

## Authorization

bearer

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "recipient_number",
    "documents"
  ],
  "properties": {
    "message": {
      "type": "string",
      "description": "Fax message"
    },
    "subject": {
      "type": "string",
      "description": "Fax subject"
    },
    "documents": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "description": "Array holding one or more document IDs"
    },
    "recipient_name": {
      "type": "string",
      "description": "Recipient's name"
    },
    "client_timestamp": {
      "type": "integer",
      "description": "UNIX timestamp"
    },
    "recipient_number": {
      "type": "string",
      "description": "Recipient's fax number"
    },
    "recipient_company": {
      "type": "string",
      "description": "Recipient's company name"
    }
  },
  "x-examples": {
    "Example 1": {
      "message": "Custom message",
      "subject": "Custom subject",
      "documents": [
        "19bef1ba082840888a460c2a4512823114cc2759"
      ],
      "recipient_name": "Some recipient name",
      "client_timestamp": 1715265630,
      "recipient_number": "+11231231231",
      "recipient_company": "Company"
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "message": "Please send this back by email when signed.",
  "subject": "Non-Disclosure Agreement",
  "documents": [
    "28cda1ba082840888a460c2a4512823114cc2759"
  ],
  "recipient_name": "John Doe",
  "client_timestamp": 1715583814,
  "recipient_number": "+11231231231",
  "recipient_company": "Documents Inc."
}
```

## Responses

### 204

Success, no content

### 400

* Incorrect or missing token
* No access to the document

**Example** (`No access to document`)

```json
{
  "code": 20003014,
  "message": "Not readable."
}
```

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/faxes/send" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"message": "Please send this back by email when signed.", "subject": "Non-Disclosure Agreement", "documents": ["28cda1ba082840888a460c2a4512823114cc2759"], "recipient_name": "John Doe", "client_timestamp": 1715583814, "recipient_number": "+11231231231", "recipient_company": "Documents Inc."}'
```

---
*Full reference: https://docs.signnow.com/docs/document/operations/post-v2-faxes-send*
